
package com.tmerclub.cloud.supplier.constant;

/**
 * 供应商钱包金额类型
 * 金额类型 0 未结算金额 1可提现金额  2冻结金额
 *
 * @author tmerclub
 */
public enum NoticeType {

    /**
     * 平台公告
     */
    PLATFORM(1, "平台公告"),

    /**
     * 商城公告
     */
    MULTI_SHOP(2, "商城公告");

    private final Integer num;

    private final String supplierWalletAmountType;

    public Integer value() {
        return num;
    }

    public String getSupplierWalletAmountType() {
        return supplierWalletAmountType;
    }

    NoticeType(Integer num, String supplierWalletAmountType) {
        this.num = num;
        this.supplierWalletAmountType = supplierWalletAmountType;
    }

    public static NoticeType instance(Integer value) {
        NoticeType[] enums = values();
        for (NoticeType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
